## com.sun.jersey.api.core
Class ClassNamesResourceConfig

    java.lang.Object
      javax.ws.rs.core.Application
          com.sun.jersey.api.core.ResourceConfig
              com.sun.jersey.api.core.DefaultResourceConfig
                  com.sun.jersey.api.core.ClassNamesResourceConfig

All Implemented Interfaces:
  FeaturesAndProperties

    public class ClassNamesResourceConfig

extends DefaultResourceConfig

A mutable implementation of `DefaultResourceConfig` that explicitly declares for root resource and provider classes.

Author:
  Paul.Sandoz@Sun.Com

Field Summary
`static java.lang.String` | `PROPERTY_CLASSNAMES` The property value MUST be an instance String or String[].

Fields inherited from class com.sun.jersey.api.core.ResourceConfig

`COMMON_DELIMITERS, FEATURE_CANONICALIZE_URI_PATH, FEATURE_DISABLE_WADL, FEATURE_IMPLICIT_VIEWABLES, FEATURE_MATCH_MATRIX_PARAMS, FEATURE_NORMALIZE_URI, FEATURE_REDIRECT, FEATURE_TRACE, FEATURE_TRACE_PER_REQUEST, PROPERTY_CONTAINER_NOTIFIER, PROPERTY_CONTAINER_REQUEST_FILTERS, PROPERTY_CONTAINER_RESPONSE_FILTERS, PROPERTY_DEFAULT_RESOURCE_COMPONENT_PROVIDER_FACTORY_CLASS, PROPERTY_LANGUAGE_MAPPINGS, PROPERTY_MEDIA_TYPE_MAPPINGS, PROPERTY_RESOURCE_FILTER_FACTORIES, PROPERTY_WADL_GENERATOR_CONFIG`

Fields inherited from interface com.sun.jersey.core.util.FeaturesAndProperties
`FEATURE_DISABLE_XML_SECURITY, FEATURE_FORMATTED, FEATURE_PRE_1_4_PROVIDER_PRECEDENCE, FEATURE_XMLROOTELEMENT_PROCESSING`

Constructor Summary
`ClassNamesResourceConfig(java.lang.Class... classes)` Declare an array of root resource and provider classes.
`ClassNamesResourceConfig(java.util.Map<java.lang.String,java.lang.Object> props)` Declare root resource and provider classes declaring the class names as a property of `ResourceConfig`.
`ClassNamesResourceConfig(java.lang.String... classNames)` Declare root resource and provider class as an array of class names.

Method Summary

Methods inherited from class com.sun.jersey.api.core.DefaultResourceConfig
`getClasses, getExplicitRootResources, getFeature, getFeatures, getLanguageMappings, getMediaTypeMappings, getProperties, getProperty, getSingletons`

Methods inherited from class com.sun.jersey.api.core.ResourceConfig
`add, clone, getContainerRequestFilters, getContainerResponseFilters, getElements, getElements, getProviderClasses, getProviderSingletons, getResourceFilterFactories, getRootResourceClasses, getRootResourceSingletons, isProviderClass, isRootResourceClass, setPropertiesAndFeatures, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_CLASSNAMES

    public static final java.lang.String PROPERTY_CLASSNAMES

  The property value MUST be an instance String or String[]. Each String instance represents one or more class names that MUST be separated by ';', ',' or ' ' (space).

  See Also:
    Constant Field Values

Constructor Detail

### ClassNamesResourceConfig

    public ClassNamesResourceConfig(java.lang.Class... classes)

  Declare an array of root resource and provider classes.

  Parameters:
    `classes` - the array of classes.

### ClassNamesResourceConfig

    public ClassNamesResourceConfig(java.lang.String... classNames)

  Declare root resource and provider class as an array of class names.

  Parameters:
    `classNames` - the array of classes.

### ClassNamesResourceConfig

    public ClassNamesResourceConfig(java.util.Map<java.lang.String,java.lang.Object> props)

  Declare root resource and provider classes declaring the class names as a property of `ResourceConfig`.

  Parameters:
    `props` - the property bag that contains the property `PROPERTY_CLASSNAMES`.

Copyright © 2017 Oracle Corporation. All Rights Reserved.